[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector4_extended):Tvector4_single

Allow assignment of four-dimensional extended precision vector to four-dimensional single precision vector

## Declaration

Source position: matrix.pp line 349

`operator operator :=(`
`const v: Tvector4_extended`
`):Tvector4_single;`

## Description

This operator allows you to use a four-dimensional vector with extended precision values wherever a four-dimensional vector with single precision is expected. Some accuracy is lost because of the conversion.